Package com.google.javascript.jscomp

# Interface FunctionInformationMapOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `FunctionInformationMap`, `FunctionInformationMap.Builder`

public interface FunctionInformationMapOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`FunctionInformationMap.Entry`
`getEntry(int index)`
`repeated group Entry = 1 { ...`
`int`
`getEntryCount()`
`repeated group Entry = 1 { ...`
`List<FunctionInformationMap.Entry>`
`getEntryList()`
`repeated group Entry = 1 { ...`
`FunctionInformationMap.EntryOrBuilder`
`getEntryOrBuilder(int index)`
`repeated group Entry = 1 { ...`
`List<? extends FunctionInformationMap.EntryOrBuilder>`
`getEntryOrBuilderList()`
`repeated group Entry = 1 { ...`
`FunctionInformationMap.Module`
`getModule(int index)`
`repeated group Module = 101 { ...`
`int`
`getModuleCount()`
`repeated group Module = 101 { ...`
`List<FunctionInformationMap.Module>`
`getModuleList()`
`repeated group Module = 101 { ...`
`FunctionInformationMap.ModuleOrBuilder`
`getModuleOrBuilder(int index)`
`repeated group Module = 101 { ...`
`List<? extends FunctionInformationMap.ModuleOrBuilder>`
`getModuleOrBuilderList()`
`repeated group Module = 101 { ...`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getEntryList

List<FunctionInformationMap.Entry> getEntryList()
`repeated group Entry = 1 { ... }`

### getEntry

FunctionInformationMap.Entry getEntry(int index)
`repeated group Entry = 1 { ... }`

### getEntryCount

int getEntryCount()
`repeated group Entry = 1 { ... }`

### getEntryOrBuilderList

List<? extends FunctionInformationMap.EntryOrBuilder> getEntryOrBuilderList()
`repeated group Entry = 1 { ... }`

### getEntryOrBuilder

FunctionInformationMap.EntryOrBuilder getEntryOrBuilder(int index)
`repeated group Entry = 1 { ... }`

### getModuleList

List<FunctionInformationMap.Module> getModuleList()
`repeated group Module = 101 { ... }`

### getModule

FunctionInformationMap.Module getModule(int index)
`repeated group Module = 101 { ... }`

### getModuleCount

int getModuleCount()
`repeated group Module = 101 { ... }`

### getModuleOrBuilderList

List<? extends FunctionInformationMap.ModuleOrBuilder> getModuleOrBuilderList()
`repeated group Module = 101 { ... }`

### getModuleOrBuilder

FunctionInformationMap.ModuleOrBuilder getModuleOrBuilder(int index)
`repeated group Module = 101 { ... }`